> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List registry artifacts

> List all artifacts in a specific repository.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/registries/{project_id}/{region_id}/{registry_id}/repositories/{repository_name}/artifacts
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/registries/{project_id}/{region_id}/{registry_id}/repositories/{repository_name}/artifacts:
    get:
      tags:
        - Registry
      summary: List registry artifacts
      description: List all artifacts in a specific repository.
      operationId: RegistryArtifactsHandler.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            type: integer
        - in: path
          name: registry_id
          required: true
          description: Registry ID
          schema:
            type: integer
        - in: path
          name: repository_name
          required: true
          description: >-
            Repository name If it contains slash, encode it with URL encoding.
            e.g. a/b -> a%252Fb
          schema:
            type: string
      responses:
        '200':
          description: List of artifacts
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegistryArtifactCollectionSerializer'
        '404':
          description: Registry or repository not found
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            registry_artifact_list = client.cloud.registries.artifacts.list(
                repository_name="repository_name",
                project_id=0,
                region_id=0,
                registry_id=0,
            )
            print(registry_artifact_list.count)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tregistryArtifactList, err := client.Cloud.Registries.Artifacts.List(\n\t\tcontext.TODO(),\n\t\t\"repository_name\",\n\t\tcloud.RegistryArtifactListParams{\n\t\t\tProjectID:  gcore.Int(0),\n\t\t\tRegionID:   gcore.Int(0),\n\t\t\tRegistryID: 0,\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", registryArtifactList.Count)\n}\n"
components:
  schemas:
    RegistryArtifactCollectionSerializer:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/RegistryArtifactSerializer'
          title: Results
          type: array
      required:
        - count
        - results
      title: RegistryArtifactCollectionSerializer
      type: object
    RegistryArtifactSerializer:
      properties:
        digest:
          description: Artifact digest
          example: >-
            sha256:5414002a0c147f8e41da0d0764b5074480012852d5d9a0ef8bd2fec904e62b7c
          examples:
            - >-
              sha256:5414002a0c147f8e41da0d0764b5074480012852d5d9a0ef8bd2fec904e62b7c
          title: Digest
          type: string
        id:
          description: Repository ID
          example: 1
          examples:
            - 1
          title: Id
          type: integer
        pulled_at:
          description: Artifact last pull date-time
          example: '2024-06-18T09:36:53.335000Z'
          examples:
            - '2024-06-18T09:36:53.335000Z'
          format: date-time
          title: Pulled At
          type: string
        pushed_at:
          description: Artifact push date-time
          example: '2024-06-18T09:36:53.335000Z'
          examples:
            - '2024-06-18T09:36:53.335000Z'
          format: date-time
          title: Pushed At
          type: string
        registry_id:
          description: Artifact registry ID
          example: 1
          examples:
            - 1
          title: Registry Id
          type: integer
        repository_id:
          description: Artifact repository ID
          example: 1
          examples:
            - 1
          title: Repository Id
          type: integer
        size:
          description: Artifact size, bytes
          example: 1
          examples:
            - 1
          title: Size
          type: integer
        tags:
          description: Artifact tags
          example:
            - artifact_id: 1
              id: 1
              name: v0.0.1
              pulled_at: '2024-06-18T09:36:53.335000Z'
              pushed_at: '2024-06-18T09:36:53.335000Z'
              repository_id: 5
            - artifact_id: 1
              id: 2
              name: latest
              pulled_at: '2024-06-18T09:36:53.335000Z'
              pushed_at: '2024-06-18T09:36:53.335000Z'
              repository_id: 5
          examples:
            - - artifact_id: 1
                id: 1
                name: v0.0.1
                pulled_at: '2024-06-18T09:36:53.335000Z'
                pushed_at: '2024-06-18T09:36:53.335000Z'
                repository_id: 5
              - artifact_id: 1
                id: 2
                name: latest
                pulled_at: '2024-06-18T09:36:53.335000Z'
                pushed_at: '2024-06-18T09:36:53.335000Z'
                repository_id: 5
          items:
            $ref: '#/components/schemas/RegistryTagSerializer'
          title: Tags
          type: array
      required:
        - id
        - registry_id
        - repository_id
        - digest
        - size
        - pushed_at
        - pulled_at
        - tags
      title: RegistryArtifactSerializer
      type: object
    RegistryTagSerializer:
      properties:
        artifact_id:
          description: Artifact ID
          example: 1
          examples:
            - 1
          title: Artifact Id
          type: integer
        id:
          description: Tag ID
          example: 1
          examples:
            - 1
          title: Id
          type: integer
        name:
          description: Tag name
          example: 0.0.1
          examples:
            - 0.0.1
          title: Name
          type: string
        pulled_at:
          description: Tag last pull date-time
          example: '2024-06-18T09:36:53.335000Z'
          examples:
            - '2024-06-18T09:36:53.335000Z'
          format: date-time
          title: Pulled At
          type: string
        pushed_at:
          description: Tag push date-time
          example: '2024-06-18T09:36:53.335000Z'
          examples:
            - '2024-06-18T09:36:53.335000Z'
          format: date-time
          title: Pushed At
          type: string
        repository_id:
          description: Repository ID
          example: 1
          examples:
            - 1
          title: Repository Id
          type: integer
      required:
        - id
        - artifact_id
        - repository_id
        - name
        - pushed_at
        - pulled_at
      title: RegistryTagSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````